summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Dario Nicodemi <dario.sbo@gmail.com>2010-05-11 23:40:27 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-16 22:24:24 -0500
commitbffa5246123d8a572492b40b8bbe9451ecb013e6 (patch)
tree13f5d21bede5c37d3c83ca1088bb397bf724c58f /system
parent3e7de5f545a93919c57e4a814dc1731ff5508952 (diff)
downloadslackbuilds-bffa5246123d8a572492b40b8bbe9451ecb013e6.tar.gz
slackbuilds-bffa5246123d8a572492b40b8bbe9451ecb013e6.tar.xz
system/mucommander: Added (a light cross-platform file manager)
Diffstat (limited to 'system')
-rw-r--r--system/mucommander/README14
-rw-r--r--system/mucommander/doinst.sh4
-rw-r--r--system/mucommander/mucommander.SlackBuild56
-rw-r--r--system/mucommander/mucommander.desktop12
-rw-r--r--system/mucommander/mucommander.info10
-rw-r--r--system/mucommander/mucommander.pngbin0 -> 3300 bytes
-rw-r--r--system/mucommander/slack-desc19
7 files changed, 115 insertions, 0 deletions
diff --git a/system/mucommander/README b/system/mucommander/README
new file mode 100644
index 0000000000..dab06e614f
--- /dev/null
+++ b/system/mucommander/README
@@ -0,0 +1,14 @@
+muCommander is a lightweight, cross-platform file manager with a
+dual-pane interface. It runs on any operating system with Java support.
+
+Here's a non-exhaustive list of what you'll find:
+- Virtual filesystem with support for local volumes, FTP, SFTP, SMB,
+ NFS, HTTP, Amazon S3, Hadoop HDFS and Bonjour
+- Quickly copy, move, rename files, create directories, email files...
+- Browse, create and uncompress ZIP, RAR, 7z, TAR, GZip, BZip2,
+ ISO/NRG, AR/Deb and LST archives
+- ZIP files can be modified on-the-fly, without having to recompress
+ the whole archive
+- Universal bookmarks and credentials manager
+- Multiple windows support
+- Full keyboard access
diff --git a/system/mucommander/doinst.sh b/system/mucommander/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/system/mucommander/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/system/mucommander/mucommander.SlackBuild b/system/mucommander/mucommander.SlackBuild
new file mode 100644
index 0000000000..5bc335b207
--- /dev/null
+++ b/system/mucommander/mucommander.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# Slackware build script for mucommander
+
+# Written by Dario Nicodemi dario.sbo@gmail.com
+
+PRGNAM=mucommander
+VERSION=${VERSION:-0.8.5}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_VERSION=$(echo "$VERSION"|tr . _)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$SRC_VERSION.tar.gz
+cd muCommander-$SRC_VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$PRGNAM
+cp mucommander.sh mucommander.jar $PKG/opt/$PRGNAM
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin ; ln -s ../../opt/$PRGNAM/mucommander.sh mucommander)
+
+
+# Install desktop file and icon
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a license.txt readme.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/mucommander/mucommander.desktop b/system/mucommander/mucommander.desktop
new file mode 100644
index 0000000000..b12886d9ea
--- /dev/null
+++ b/system/mucommander/mucommander.desktop
@@ -0,0 +1,12 @@
+[Desktop Entry]
+Version=1.0
+Exec=mucommander
+TryExec=mucommander
+Icon=mucommander
+Terminal=false
+Name=muCommander
+GenericName=File manager
+Comment=File manager
+Categories=System;
+Type=Application
+StartupNotify=false
diff --git a/system/mucommander/mucommander.info b/system/mucommander/mucommander.info
new file mode 100644
index 0000000000..739af18b9a
--- /dev/null
+++ b/system/mucommander/mucommander.info
@@ -0,0 +1,10 @@
+PRGNAM="mucommander"
+VERSION="0.8.5"
+HOMEPAGE="http://www.mucommander.com/"
+DOWNLOAD="http://www.mucommander.com/download/mucommander-0_8_5.tar.gz"
+MD5SUM="8314ede2eaf60b4c131eea9aba0ad6c1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dario Nicodemi"
+EMAIL="dario.sbo@gmail.com"
+APPROVED="rworkman"
diff --git a/system/mucommander/mucommander.png b/system/mucommander/mucommander.png
new file mode 100644
index 0000000000..f3f667a2c1
--- /dev/null
+++ b/system/mucommander/mucommander.png
Binary files differ
diff --git a/system/mucommander/slack-desc b/system/mucommander/slack-desc
new file mode 100644
index 0000000000..5ef930570c
--- /dev/null
+++ b/system/mucommander/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mucommander: muCommander (cross-platform file manager)
+mucommander:
+mucommander: muCommander is a lightweight, cross-platform file manager with a
+mucommander: dual-pane interface. It runs on any operating system with Java
+mucommander: support.
+mucommander:
+mucommander: muCommander has virtual file system support for local volumes,
+mucommander: FTP, SFTP, SMB, NFS, HTTP, Amazon S3, Hadoop HDFS and Bonjour. It
+mucommander: can browse, create and uncompress ZIP, RAR, 7z, TAR, GZip, BZip2,
+mucommander: ISO/NRG, AR/Deb and LST archives.
+mucommander: